Package org.jfree.layouting.layouter.style.resolver.computed

## Class ConstantsResolveHandler

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

- All Implemented Interfaces:
    `ResolveHandler`
  Direct Known Subclasses:
    `BackgroundBreakResolveHandler`, `BlockProgressionResolveHandler`, `BorderStyleResolveHandler`, `BorderWidthResolveHandler`, `BoxSizingResolveHandler`, `DirectionResolveHandler`, `DisplayModelResolveHandler`, `DisplayRoleResolveHandler`, `FitResolveHandler`, `FloatDisplaceResolveHandler`, `FloatResolveHandler`, `FontEffectResolveHandler`, `FontEmphasizePositionResolveHandler`, `FontEmphasizeStyleResolveHandler`, `FontFamilyResolveHandler`, `FontSizeResolveHandler`, `FontStretchResolveHandler`, `FontStyleResolveHandler`, `IndentEdgeResetResolveHandler`, `LineStackingStrategyResolveHandler`, `ListOfConstantsResolveHandler`, `ListStylePositionResolveHandler`, `ListStyleTypeResolveHandler`, `MinMaxFontSizeResolveHandler`, `PositionResolveHandler`, `QuotesResolveHandler`, `TargetNameResolveHandler`, `TargetNewResolveHandler`, `TargetPositionResolveHandler`, `TextAlignLastResolveHandler`, `TextAlignResolveHandler`, `TextDecorationWidthResolveHandler`, `TextHeightResolveHandler`, `TextJustifyResolveHandler`, `TextJustifyTrimResolveHandler`, `TextOverflowModeResolveHandler`, `TextTransformResolveHandler`, `TextWrapResolveHandler`, `VerticalAlignResolveHandler`, `WhitespaceCollapseResolveHandler`, `WordBreakResolveHandler`, `WordWrapResolveHandler`

      public abstract class ConstantsResolveHandler
      extends java.lang.Object
      implements ResolveHandler

  Creation-Date: 11.12.2005, 23:15:57
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ConstantsResolveHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addNormalizeValue​(CSSConstant constant)` |
    `protected void` | `addValue​(CSSConstant constant, CSSValue value)` |
    `CSSValue` | `getFallback​()` |
    `StyleKey[]` | `getRequiredStyles​()` | This indirectly defines the resolve order.
    `protected CSSValue` | `lookupValue​(CSSConstant value)` |
    `void` | `resolve​(LayoutProcess process, LayoutElement currentNode, StyleKey key)` | Resolves a single property.
    `protected CSSValue` | `resolveValue​(LayoutProcess process, LayoutElement currentNode, StyleKey key)` |
    `protected void` | `setFallback​(CSSValue fallback)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantsResolveHandler

          protected ConstantsResolveHandler​()

  - ### Method Detail

    - #### getFallback

          public CSSValue getFallback​()

    - #### setFallback

          protected void setFallback​(CSSValue fallback)

    - #### lookupValue

          protected CSSValue lookupValue​(CSSConstant value)

    - #### addValue

          protected void addValue​(CSSConstant constant,
                                  CSSValue value)

    - #### addNormalizeValue

          protected void addNormalizeValue​(CSSConstant constant)

    - #### getRequiredStyles

          public StyleKey[] getRequiredStyles​()

      This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
      Specified by:
        `getRequiredStyles` in interface `ResolveHandler`
      Returns:
        the array of required style keys.

    - #### resolve

          public void resolve​(LayoutProcess process,
                              LayoutElement currentNode,
                              StyleKey key)

      Resolves a single property.
      Specified by:
        `resolve` in interface `ResolveHandler`
      Parameters:
        `currentNode` -
        `style` -

    - #### resolveValue

          protected CSSValue resolveValue​(LayoutProcess process,
                                          LayoutElement currentNode,
                                          StyleKey key)